package com.ningdatech.carapi.car.equipment.service;

import com.ningdatech.carapi.car.equipment.model.dto.EquipmentSaveDTO;
import com.ningdatech.carapi.car.equipment.model.dto.EquipmentUpdateDTO;
import com.ningdatech.carapi.car.equipment.model.NdVehicleEquipmentInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ningdatech.carapi.car.equipment.model.res.SipApiResponse;
import com.ningdatech.carapi.car.equipment.model.res.SipEquipmentRes;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-10-12
 */
public interface INdVehicleEquipmentInfoService extends IService<NdVehicleEquipmentInfo> {
    void save(List<EquipmentSaveDTO> equipments, Long uerId);

    void update(EquipmentUpdateDTO equipmentUpdateDTO, Long uerId);

    Boolean removeByIdWithCache(List<Long> ids);

    List<SipEquipmentRes> getSipEquipmentsByCarPlate(String carPlate);

    Boolean insertBatch(List<NdVehicleEquipmentInfo> toAddEp);
}
